Page MenuHomePhabricator

Tool "jawi" loads assets from google and bootstrapcdn
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/jawi/: https://fonts.googleapis.com/earlyaccess/droidarabicnaskh.css
https://tools.wmflabs.org/jawi/: https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css
https://tools.wmflabs.org/jawi/: https://fonts.gstatic.com/ea/droidarabicnaskh/v7/DroidNaskh-Regular.woff2
https://tools.wmflabs.org/jawi/: https://fonts.gstatic.com/ea/droidarabicnaskh/v7/DroidNaskh-Bold.woff2

Loading from external providers are discouraged. Please see parent tasks and J65.
In your case a direct replacement for some of them would be:

Unfortunately in the case of https://fonts.googleapis.com/earlyaccess/droidarabicnaskh.css our proxy is not configured to handle Early Access fonts. You may want to host a copy (with the URLs changed) in your tool.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2017, 3:46 PM

The tool maintainer is Aviator. I'm unable to find their Phabricator username.

Aviator claimed this task.Mar 25 2018, 3:12 AM

Just created an account. I'll get this done.

Aviator closed this task as Resolved.Apr 22 2018, 12:19 PM

Fixed.